package com.wd.workoffice.ui.adapter;


import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.BaseViewHolder;
import com.wd.workoffice.R;
import com.wd.workoffice.bean.TicketAddBean;
import com.wd.workoffice.bean.TicketDetailBean;
import com.wd.workoffice.util.MathUtils;

import java.util.List;

import androidx.annotation.Nullable;

/**
 * Created by flexible on 2018/8/13.
 */

public class WorkAddTicketOrderAdapter extends BaseQuickAdapter<TicketAddBean.RecordsBean, BaseViewHolder> {
    int type;//0,add 1,submit

    public WorkAddTicketOrderAdapter(int layoutResId, List data) {
        super(layoutResId, data);
    }

    public WorkAddTicketOrderAdapter(int layoutResId, @Nullable List<TicketAddBean.RecordsBean> data, int type) {
        super(layoutResId, data);
        this.type = type;
    }

    @Override
    protected void convert(BaseViewHolder helper, TicketAddBean.RecordsBean item) {
        helper.setText(R.id.tv_name, item.getProductSimpleCode());
        helper.setText(R.id.tv_order, item.getOrderId());
        helper.setText(R.id.tv_spec, item.getProductSpec());
        helper.setText(R.id.tv_unit, item.getProductUnit());
        helper.setText(R.id.tv_apply_num, item.getProductCount() + "");
        helper.setText(R.id.tv_price, item.getCarPrice());
        helper.setText(R.id.tv_num, item.getCarNum() + "");
        if (type == 1) {
            helper.setVisible(R.id.iv_cart, false);
        }
    }
}

